<?php
error_reporting(E_ALL);

// 输出phpinfo信息
if (!isset($_GET['phpinfo'])) {
	function_exists('date_default_timezone_set') && date_default_timezone_set('PRC');

	ob_start();
	phpinfo();
	$content = ob_get_contents();
	ob_clean();

	$content = preg_replace(
			'/<table border="0" cellpadding="3" width="([\d]+)">/',
			'<table border="0" cellpadding="3">', $content);

	$content = preg_replace(
			'/table {border-collapse: collapse;}/',
			'table {word-break:break-all; border-collapse: collapse; border: 0; width: 934px; box-shadow: 1px 2px 3px #ccc;} .e { width: 260px;}', $content);

	exit($content);
}
